# Uses of Interface
com.sun.jdi.ClassType

Packages that use ClassType
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of ClassType in com.sun.jdi

Methods in com.sun.jdi that return ClassType
Modifier and Type
Method
Description
`ClassType`
ClassType.`superclass()`
Gets the superclass of this class.
Methods in com.sun.jdi that return types with arguments of type ClassType
Modifier and Type
Method
Description
`List<ClassType>`
InterfaceType.`implementors()`
Gets the currently prepared classes which directly implement this interface.
`List<ClassType>`
ClassType.`subclasses()`
Gets the currently loaded, direct subclasses of this class.